<div class="dashboard">
    <div class="text-center">
        <span class="material-symbols-outlined mr-3" style="vertical-align: middle;">
            bar_chart
        </span>
        <strong>สรุปภาพรวมการปฏิบัติของเหตุการณ์ (Operation Dashboard)</strong>
    </div>



    <div class="filter-card mt-3 d-flex justify-content-between">
        <div class="mr-10" style="width: 220px;">
            <small>เหตุการณ์</small><br>
            <mat-form-field appearance="outline" style="width: 100%;">
                <mat-select [(ngModel)]="eventType" multiple (selectionChange)="onSelectType()">
                    <mat-option [value]="item.id" *ngFor="let item of eventTypeList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.incidentType}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>




        <div>
            <small>วันที่เกิดเหตุ</small><br>
            <mat-form-field appearance="outline" style="width: 150px;">
                <input matInput [matDatepicker]="picker" [(ngModel)]="startDate" [max]="endDate"
                    (dateChange)="dateChange()">
                <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
            <small class="ml-3 mr-3">ถึง</small>
            <mat-form-field appearance="outline" style="width: 150px;">
                <input matInput [matDatepicker]="picker1" [(ngModel)]="endDate" [min]="startDate"
                    (dateChange)="dateChange()">
                <mat-datepicker-toggle matIconSuffix [for]="picker1"></mat-datepicker-toggle>
                <mat-datepicker #picker1></mat-datepicker>
            </mat-form-field>

            <button class="ml-3 btn-clear" mat-raised-button (click)="onClearDate()">clear </button>
        </div>
    </div>

    <div class="chart-card mt-3">
        <br>
        <div class="overall">
            <div class="title">
                <strong>สรุปภาพรวม {{totalIncident}} เหตการณ์</strong>
            </div>
        </div>

        <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start" animationDuration="0ms">
            <mat-tab label="ภาพรวม">
                <div style="width: 100%;overflow-x: hidden; height: calc(100vh - 350px);">
                    <br>
                    <div class="d-flex">

                        <div class="type-chart">
                            <app-echart [option]="typeChart"></app-echart>
                        </div>
                        <div class="status-chart">
                            <app-echart [option]="statusChart"></app-echart>
                        </div>

                    </div>
                    <div class="line-chart mt-10">
                        <app-echart [option]="incidentChart"></app-echart>
                        <br>
                    </div>


                    <div class="overall mt-10">
                        <div class="title">
                            <strong>ผลกระทบและความเสียหาย</strong>
                        </div>
                        <div class="d-flex">
                            <div class="box-50 d-flex">
                                <div class="box-50 text-end mr-3">
                                    <small>จังหวัด</small><br>
                                    <small>อำเภอ</small><br>
                                    <small>ตำบล</small><br>
                                    <small>หมู่บ้าน</small><br><br>
                                    <small>มูลค่าความเสียหาย (ล้านบาท)</small>
                                </div>
                                <div class="box-50" *ngIf="dashboard.damagedSum != undefined ">
                                    <small>{{dashboard.damagedSum.provinceTotal.toLocaleString()}}</small><br>
                                    <small>{{dashboard.damagedSum.districtTotal.toLocaleString()}}</small><br>
                                    <small>{{dashboard.damagedSum.subDistrictTotal.toLocaleString()}}</small><br>
                                    <small>{{dashboard.damagedSum.villageTotal.toLocaleString()}}</small><br><br>
                                    <small>{{dashboard.damagedSum.damagedValMbaht.toLocaleString()}}</small>
                                </div>

                            </div>
                            <div class="box-50 d-flex">
                                <div class="box-50 text-end mr-3">
                                    <small>จำนวนครัวเรือนประสบภัย</small><br>
                                    <small>จำนวนประชาชนได้รับผลกระทบ</small><br>
                                    <small>จำนวนผู้อพยพ</small><br><br>

                                    <small>เสียชีวิต</small><br>
                                    <small>บาดเจ็บ</small><br>
                                    <small>สูญหาย</small>
                                </div>
                                <div class="box-50" *ngIf="dashboard.damagedHumanSum != undefined ">
                                    <small>{{dashboard.damagedHumanSum.pplImpacted.toLocaleString()}}
                                        ครัวเรือน</small><br>
                                    <small>{{dashboard.damagedHumanSum.hhAffected.toLocaleString()}} ราย</small><br>
                                    <small>{{dashboard.damagedHumanSum.emigrant.toLocaleString()}} ราย</small><br><br>
                                    <small>{{dashboard.damagedHumanSum.dead.toLocaleString()}} ราย</small><br>
                                    <small>{{dashboard.damagedHumanSum.injured.toLocaleString()}} ราย</small><br>
                                    <small>{{dashboard.damagedHumanSum.missing.toLocaleString()}} ราย</small>
                                </div>

                            </div>
                        </div>


                    </div>

                    <div class="damage mt-10">
                        <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start" animationDuration="0ms"
                            (selectedTabChange)="onTabChange($event)">
                            <mat-tab label="ด้านทรัพย์สิน">
                                <div class="d-flex " style="border-top: 1px solid #e6e6e6 ">
                                    <div class="status-chart" style="position: relative;">
                                        <app-echart [option]="damagePropChart" *ngIf="tabNumber == 0"></app-echart>
                                    </div>
                                    <div class="box-50 ">
                                        <br> <br>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">

                                            </div>
                                            <div class="box-50">
                                                <small>จำนวน</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>บ้านเรือน (ทั้งหลัง)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPropSum!= undefined ">
                                                <small>{{dashboard.damagedPropSum.houseWhole.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>บ้านเรือน (บางส่วน)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPropSum != undefined ">
                                                <small>{{dashboard.damagedPropSum.housePartly.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab label="ด้านการเกษตร">
                                <div style="border-top: 1px solid #e6e6e6 ">
                                    <div class="d-flex ">
                                        <div class="agri-chart">
                                            <app-echart [option]="damageAgriChart" *ngIf="tabNumber == 1"></app-echart>
                                        </div>
                                        <div class="box-50 ">
                                            <br> <br>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">

                                                </div>
                                                <div class="box-50">
                                                    <small>จำนวน</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>เกษตรกร (คน)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.farmer.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>โค/กระบือ (ตัว)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.cowBuff.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>สุกร/แพะ/แกะ (ตัว)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.pigGoatSheep.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>สัตว์ปีก (ตัว)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.poultry.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>พื้นที่เพาะเลี้ยงสัตว์น้ำ (แห่ง)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.aquaAreaRai.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex ">
                                        <div class="agri-chart">
                                            <app-echart [option]="damageAgri2Chart" *ngIf="tabNumber == 1"></app-echart>
                                        </div>
                                        <div class="box-50 ">
                                            <br> <br>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">

                                                </div>
                                                <div class="box-50">
                                                    <small>จำนวน</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>ไร่ (ไร่)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.farmRai.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>นา (ไร่)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.ricePaddyRai.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                            <div class=" d-flex border-bottom">
                                                <div class="box-50">
                                                    <small>สวน (ไร่)</small>
                                                </div>
                                                <div class="box-50" *ngIf="dashboard.damagedAgriSum != undefined ">
                                                    <small>{{dashboard.damagedAgriSum.gardensRai.toLocaleString()}}</small>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </mat-tab>
                            <mat-tab label="ด้านสาธารณประโยชน์">
                                <div class="d-flex " style="border-top: 1px solid #e6e6e6 ">
                                    <div class="plublic-chart">
                                        <app-echart [option]="damagePublicChart" *ngIf="tabNumber == 2"></app-echart>
                                    </div>
                                    <div class="box-50 ">
                                        <br> <br>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">

                                            </div>
                                            <div class="box-50">
                                                <small>จำนวน</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>ถนน (สาย)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.roadLine.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>ถนน (กม.)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.roadKm.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>ถนน (จุด)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.roadPoint.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>สะพาน (จุด)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.bridge.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>ท่อระบายน้ำ (จุด)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.drainPipe.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>ฝาย (จุด)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.weir.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>ทำนบ (จุด)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.barrage.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>สถานที่ราชการ (แห่ง) </small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.gov.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>โรงเรียน (แห่ง)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.school.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                        <div class=" d-flex border-bottom">
                                            <div class="box-50">
                                                <small>ศาสนสถาน (แห่ง)</small>
                                            </div>
                                            <div class="box-50" *ngIf="dashboard.damagedPublicSum != undefined ">
                                                <small>{{dashboard.damagedPublicSum.worship.toLocaleString()}}</small>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </mat-tab>

                        </mat-tab-group>
                    </div>


                    <div class="resource mt-10">
                        <div class="title">
                            <strong>ทรัพยากรและเครื่องจักรที่ใช้</strong>
                        </div>
                        <div class="d-flex ">
                            <div class="resource-chart">
                                <app-echart [option]="resourceChart"></app-echart>
                            </div>
                            <div class="box-50 ">
                                <br> <br>
                                <div class=" d-flex border-bottom">
                                    <div class="box-50">

                                    </div>
                                    <div class="box-50">
                                        <small>จำนวน</small>
                                    </div>
                                </div>
                                <div class=" d-flex border-bottom" *ngFor="let item of resourceChart.series[0].data">
                                    <div class="box-50">
                                        <small>{{item.name}}</small>
                                    </div>
                                    <div class="box-50">
                                        <small>{{item.value}}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </mat-tab>
            <mat-tab label="เหตุการณ์">
                <div class="mt-3 ml-3 mb-3">
                    <small>รายชื่อเหตุการณ์</small>
                </div>

                <div style="width: 100%; overflow-y: auto; height: calc(100vh - 390px); padding: 20px;">
                    <div *ngIf="dashboard.incidentInfoSum != undefined">
                        <div *ngFor="let item of dashboard.incidentInfoSum.names ;index as i">
                            <small>{{i+1}}. {{item}}</small>
                        </div>
                    </div>
                </div>




            </mat-tab>
        </mat-tab-group>


    </div>
</div>